%define _sysconfdir /etc
Summary: A getty replacement for use with data and fax modems.
Name: mgetty
Version: 1.1.22
Release: 1.6.x_nw1
Source: ftp://ftp.leo.org/pub/comp/os/unix/networking/mgetty/mgetty%{version}-Aug17.tar.gz
Patch1: mgetty-1.1.14-config.patch
Patch2: mgetty-1.1.5-makekvg.patch
Patch3: mgetty-1.1.14-policy.patch
Patch4: mgetty-1.1.5-strip.patch
Patch5: mgetty-1.1.14-echo.patch
Patch6: mgetty-1.1.14-logrotate.patch
Patch7: mgetty-1.1.9-imakefile.patch
Patch8: mgetty-1.1.20-docfix.patch
Patch9: mgetty-1.1.21-faxprint.patch
Patch10: mgetty-pointer.patch
Patch11: mgetty-1.1.21-void.patch
Patch12: mgetty-1.1.21-paths.patch
Patch13: mgetty-1.1.21-root.patch
Patch14: mgetty-1.1.21-ia64.patch
Patch15: mgetty_elsapatch.patch
Patch16: mgetty-1.1.21-giftopnm.patch
Patch17: mgetty-1.1.22-excl.patch
Patch18: mgetty-1.1.22-quote.patch
Patch19: mgetty-1.1.20-nwhack.patch
Copyright: distributable
Group: Applications/Communications
Prereq: /sbin/install-info
BuildPrereq: groff, tetex, tetex-latex, texinfo
Buildroot: %{_tmppath}/%{name}-root
Requires: mktemp

%package sendfax
Summary: Provides support for sending faxes over a modem.
Requires: mgetty = %{version}
Group: Applications/Communications
Requires: libgr-progs

%package voice
Summary: A program for using your modem and mgetty as an answering machine.
Requires: mgetty = %{version}
Group: Applications/Communications

%package viewfax
Summary: An X Window System fax viewer.
Group: Applications/Communications

%description
The mgetty package contains a "smart" getty which allows logins over a
serial line (i.e., through a modem).  If you're using a Class 2 or 2.0
modem, mgetty can receive faxes.  If you also need to send faxes,
you'll need to install the sendfax program.

If you'll be dialing in to your system using a modem, you should
install the mgetty package.  If you'd like to send faxes using mgetty
and your modem, you'll need to install the mgetty-sendfax program.  If
you need a viewer for faxes, you'll also need to install the
mgetty-viewfax package.

%description sendfax
Sendfax is a standalone backend program for sending fax files.  The
mgetty program (a getty replacement for handling logins over a serial
line) plus sendfax will allow you to send faxes through a Class 2
modem.

If you'd like to send faxes over a Class 2 modem, you'll need to
install the mgetty-sendfax and the mgetty packages.

%description voice
The mgetty-voice package contains the vgetty system, which enables
mgetty and your modem to support voice capabilities.  In simple terms,
vgetty lets your modem act as an answering machine.  How well the
system will work depends upon your modem, which may or may not be able
to handle this kind of implementation.

Install mgetty-voice along with mgetty if you'd like to try having
your modem act as an answering machine.

%description viewfax
Viewfax displays the fax files received using mgetty in an X11 window.
Viewfax is capable of zooming in and out on the displayed fax.

If you're installing the mgetty-viewfax package, you'll also need to
install mgetty.

%prep
%setup -q
%patch1 -p1 -b .config
%patch2 -p1 -b .makekvg
%patch3 -p1 -b .policy
%patch4 -p1 -b .strip
%patch5 -p1 -b .echo
%patch6 -p1
%patch7 -p1
# new texinfo is much stricter about xrefs
#%patch8 -p1 -b .docfix
%patch9 -p1 -b .faxprint
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1 -b .elsa
%patch16 -p1 -b .giftopnm
%patch17 -p1 -b .excl
%patch18 -p1 -b .quote
%patch19 -p1 -b .nwhack

%build
cp policy.h-dist policy.h
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" CONFDIR=%{_sysconfdir}/mgetty+sendfax

pushd voice
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" CONFDIR=%{_sysconfdir}/mgetty+sendfax
popd

pushd frontends/X11/viewfax-2.4
xmkmf
make depend
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CONFDIR=%{_sysconfdir}/mgetty+sendfax
popd

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_libdir}/mgetty+sendfax}
mkdir -p $RPM_BUILD_ROOT{%{_mandir},%{_sbindir},/sbin,/var/spool}

instflags="
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	spool=$RPM_BUILD_ROOT%{_var}/spool \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/mgetty+sendfax/ \
	CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/mgetty+sendfax \
	MAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	MAN4DIR=$RPM_BUILD_ROOT%{_mandir}/man4 \
	MAN5DIR=$RPM_BUILD_ROOT%{_mandir}/man5 \
	MAN8DIR=$RPM_BUILD_ROOT%{_mandir}/man8 \
	INFODIR=$RPM_BUILD_ROOT%{_infodir} \
	INSTALL=%{__install}"
make install ${instflags}
install -m700 callback/callback $RPM_BUILD_ROOT%{_sbindir}
install -m4711 callback/ct $RPM_BUILD_ROOT%{_bindir}

gzip -9n $RPM_BUILD_ROOT%{_infodir}/*

mv $RPM_BUILD_ROOT%{_sbindir}/mgetty $RPM_BUILD_ROOT/sbin

# this conflicts with efax
mv $RPM_BUILD_ROOT%{_mandir}/man1/fax.1 $RPM_BUILD_ROOT%{_mandir}/man1/mgetty_fax.1

# voice mail extensions
mkdir -p $RPM_BUILD_ROOT%{_var}/spool/voice/{messages,incoming}
make -C voice install ${instflags}
mv $RPM_BUILD_ROOT%{_sbindir}/vgetty $RPM_BUILD_ROOT/sbin
install -m 600 -c voice/voice.conf-dist $RPM_BUILD_ROOT%{_sysconfdir}/mgetty+sendfax/voice.conf

# don't ship documentation that is executable...
find samples -type f -exec chmod 644 {} \;

make -C frontends/X11/viewfax-2.4 install DESTDIR=$RPM_BUILD_ROOT
make -C frontends/X11/viewfax-2.4 install.man DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}/man1

# install logrotate control files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -m 0644 logrotate.mgetty $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/mgetty
install -m 0644 logrotate.sendfax $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/sendfax

# forcibly strip all binaries
strip $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/mgetty.info.gz %{_infodir}/dir --entry="* mgetty: (mgetty).		Package to handle faxes, voicemail and more."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/mgetty.info.gz %{_infodir}/dir --entry="* mgetty: (mgetty). 	Package to handle faxes, voicemail and more."
fi

%files
%defattr(-,root,root)
%doc BUGS ChangeLog README.1st Recommend THANKS doc/modems.db samples 
%doc doc/mgetty.ps doc/*.txt
/sbin/mgetty
%{_sbindir}/callback
%{_mandir}/man4/mgettydefs.4*
%{_mandir}/man8/mgetty.8*
%{_mandir}/man8/callback.8*
%{_infodir}/mgetty.info-2.gz
%{_infodir}/mgetty.info-3.gz
%{_infodir}/mgetty.info-4.gz
%{_infodir}/mgetty.info.gz
%{_infodir}/mgetty.info-1.gz
%dir %{_sysconfdir}/mgetty+sendfax
%config %{_sysconfdir}/mgetty+sendfax/login.config
%config %{_sysconfdir}/mgetty+sendfax/mgetty.config
%config %{_sysconfdir}/mgetty+sendfax/dialin.config
%config %{_sysconfdir}/logrotate.d/mgetty

%files sendfax
%defattr(-,root,root)
%dir %{_var}/spool/fax
%dir %{_var}/spool/fax/incoming
%dir %{_var}/spool/fax/outgoing
%dir %{_var}/spool/fax/outgoing/locks
%{_bindir}/kvg
%{_bindir}/newslock
%{_bindir}/g3cat
%{_bindir}/g32pbm
%{_bindir}/pbm2g3
%{_bindir}/faxspool
%{_bindir}/faxrunq
%{_bindir}/faxq
%{_bindir}/faxrm
%attr(0755,root,root) %{_bindir}/ct
%{_sbindir}/sendfax
%{_sbindir}/faxrunqd
%dir %{_libdir}/mgetty+sendfax
%{_libdir}/mgetty+sendfax/cour25.pbm
%{_libdir}/mgetty+sendfax/cour25n.pbm
%{_mandir}/man1/g32pbm.1*
%{_mandir}/man1/pbm2g3.1*
%{_mandir}/man1/g3cat.1*
%{_mandir}/man1/mgetty_fax.1*
%{_mandir}/man1/faxspool.1*
%{_mandir}/man1/faxrunq.1*
%{_mandir}/man1/faxq.1*
%{_mandir}/man1/faxrm.1*
%{_mandir}/man1/coverpg.1*
%{_mandir}/man5/faxqueue.5*
%{_mandir}/man8/faxrunqd.8*
%{_mandir}/man8/sendfax.8*
%config %{_sysconfdir}/mgetty+sendfax/sendfax.config
%config %{_sysconfdir}/mgetty+sendfax/faxrunq.config
%config %{_sysconfdir}/mgetty+sendfax/faxheader
%config %{_sysconfdir}/logrotate.d/sendfax

%files voice
%defattr(-,root,root)
%dir %{_var}/spool/voice
%dir %{_var}/spool/voice/incoming
%dir %{_var}/spool/voice/messages
/sbin/vgetty
%{_bindir}/vm
%{_bindir}/pvfamp
%{_bindir}/pvfcut
%{_bindir}/pvfecho
%{_bindir}/pvffile
%{_bindir}/pvffft
%{_bindir}/pvfmix
%{_bindir}/pvfreverse
%{_bindir}/pvfsine
%{_bindir}/pvfspeed
%{_bindir}/pvftormd
%{_bindir}/rmdtopvf
%{_bindir}/rmdfile
%{_bindir}/pvftovoc
%{_bindir}/voctopvf
%{_bindir}/pvftolin
%{_bindir}/lintopvf
%{_bindir}/pvftobasic
%{_bindir}/basictopvf
%{_bindir}/pvftoau
%{_bindir}/autopvf
%{_bindir}/pvftowav
%{_bindir}/wavtopvf
%{_mandir}/man1/zplay.1*
%{_mandir}/man1/pvf.1*
%{_mandir}/man1/pvfamp.1*
%{_mandir}/man1/pvfcut.1*
%{_mandir}/man1/pvfecho.1*
%{_mandir}/man1/pvffile.1*
%{_mandir}/man1/pvffft.1*
%{_mandir}/man1/pvfmix.1*
%{_mandir}/man1/pvfreverse.1*
%{_mandir}/man1/pvfsine.1*
%{_mandir}/man1/pvfspeed.1*
%{_mandir}/man1/pvftormd.1*
%{_mandir}/man1/rmdtopvf.1*
%{_mandir}/man1/rmdfile.1*
%{_mandir}/man1/pvftovoc.1*
%{_mandir}/man1/voctopvf.1*
%{_mandir}/man1/pvftolin.1*
%{_mandir}/man1/lintopvf.1*
%{_mandir}/man1/pvftobasic.1*
%{_mandir}/man1/basictopvf.1*
%{_mandir}/man1/pvftoau.1*
%{_mandir}/man1/autopvf.1*
%{_mandir}/man1/pvftowav.1*
%{_mandir}/man1/wavtopvf.1*
%config %{_sysconfdir}/mgetty+sendfax/voice.conf

%files viewfax
%defattr(-,root,root)
%doc frontends/X11/viewfax-2.4/C* frontends/X11/viewfax-2.4/README
%{_bindir}/viewfax
%dir %{_libdir}/mgetty+sendfax
%{_libdir}/mgetty+sendfax/viewfax.tif
%{_mandir}/man1/viewfax.1x*

%changelog
* Thu Nov 16 2000 Rod m. Stewart <stewart@netwinder.org>
- compiler patch originarlly from 1.1.20

* Thu Sep  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- make sure all scripts quote variables where possible (#17179)
- make sure all scripts use mktemp for generating temporary files
- rebuild as an errata, specifying %%{_sysconfdir} = /etc (#17178)
- change netpbm-progs requirement back to libgr-progs for errata

* Sat Aug 26 2000 Bill Nottingham <notting@redhat.com>
- update to 1.1.22; fixes security issues

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix excl patch to keep everything from segfaulting all the time (#11523,11590)

* Mon Jul 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- forcibly strip binaries (#12431)
- change dependency on libgr-progs (which is gone) to netgr-progs (#10819)
- change dependency on giftoppm to giftopnm (#8088)
- attempt to plug some potential security problems (#11874)

* Thu Jul 12 2000 Than Ngo <than@redhat.de>
- add new V250modem patch from ELSA (thanks to Jrgen Kosel)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 23 2000 Than Ngo <than@redhat.de>
- add support ELSA Microlink 56k

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- Overhaul for FHS fixes.
- Stop removing logs in postun.
- Stop stripping everything.
- ia64 fixes.

* Wed May 17 2000 Ngo Than <than@redhat.de>
- updated the new vgetty (#bug 10440)

* Sat May  6 2000 Bill Nottingham <notting@redhat.com>
- fix compilation with new gcc, or ia64, or something...

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed

* Tue Sep  7 1999 Jeff Johnson <jbj@redhat.com>
- add fax print command (David Fox).

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- version 1.1.21

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- move callback to base package (#4799).

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.1.20 (#3216).

* Tue Apr  6 1999 Bill Nottingham <notting@redhat.com>
- strip setuid bit from ct

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- better log handling

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Sat Aug 22 1998 Jos Vos <jos@xos.nl>
- Use a patch for creating policy.h using policy.h-dist.
- Add viewfax subpackage (X11 fax viewing program).
- Add logrotate config files for mgetty and sendfax log files.
- Properly define ECHO in Makefile for use with bash.
- Add optional use of dialin.config (for modems supporting this).
- Change default notification address to "root" (was "faxadmin").
- Change log file names according to better defaults.
- Change default notify program to /etc/mgetty+sendfax/new_fax (was
  /usr/local/bin/new_fax).

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- add faxrunqd man page (problem #850)
- add missing pbm2g3 (and man page); remove unnecessary "rm -f pbmtog3"
- delete redundant ( cd tools; make ... )

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.1.14
- AutoPPP patch
 
* Thu Dec 18 1997 Mike Wangsmo <wanger@redhat.com>
- added more of the documentation files to the rpm

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added install-info support

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- now requires libgr-progs instead of netpbm

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
